// c_reader.h
// Conservative reader.
// Read only needed bytes for current msg.
//

#ifndef _C_READER_H_
#define _C_READER_H_

#include <pktctrl.h>

//
// OPAQUE STRUCTURE
//

struct c_reader;

//
// EXPORTED FUNCTION DECLARATIONS
//

extern struct c_reader * get_c_reader (
    struct pktctrl_obj * obj);
extern int c_read_msg (
    struct c_reader * reader,
    struct pktlab_message ** msg);
extern void close_c_reader(struct c_reader * reader);

#endif