// xdescr.h
//

#ifndef _XDESCR_H_
#define _XDESCR_H_

#include <stdbool.h>

#include <pktlab.h>
#include <pktconf.h>

#include "config.h"
#include "util.h"

//
// EXPORTED FUNCTION DECLARATIONS
//

extern int create_xdescr (
    const char * pub_controller_addr,
    const char * sni_key,
    bool pub_period_specified,
    pktlab_time_t pub_period,
    bool pub_exp_priority_specified,
    unsigned long long pub_exp_priority,
    const struct pktconf_sep_str_ll * pub_country,
    const struct pktconf_sep_str_ll * pub_location,
    const struct exp_exec_entry * ee_entry, // sni_key here not used
    char ** xdescr, pktlab_time_t * max_pub_end);

#endif