#ifndef _TLS_UTIL_H
#define _TLS_UTIL_H
#include <pktctrl.h>
extern struct pktlab_privatekey *get_pem_privkey(const char *pem);
extern struct pktlab_certificate *get_pem_cert(const char *pem);
extern int get_cert_ls(const char **certpem_ls, size_t certnum,
                       struct pktlab_certificate **cert_ls);
extern void free_cert_ls(struct pktlab_certificate **cert_ls,
                         uint_fast32_t cert_num);

extern int get_pubkey_ls(const char **pubkeypem_ls, size_t pubkeynum,
                         struct pktlab_publickey **pubkey_ls);
extern void free_pubkey_ls(struct pktlab_publickey **pubkey_ls,
                           uint_fast32_t key_num);
extern struct pktlab_publickey *get_pem_pubkey(const char *pem);

#endif
